<!doctype html>
<html lang="es">
{% load static %}



<head>
    <title>Pizza planet</title>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pizza Planet</title>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
   
    <!--ALERTA CON SWEETALERT-->
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script> 
    
    <script src="{% static 'app_pizzaplanet/js/jquery-3.6.0.min.js' %}"></script>
    <link rel="stylesheet" href="https://bootswatch.com/4/united/bootstrap.min.css">
    
    <script src="{% static 'app_pizzaplanet/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'app_pizzaplanet/js/java.js' %}"></script>
    <link rel="stylesheet" href="{% static 'app_pizzaplanet/css/styles.css' %}">

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
        integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">


    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css"
        integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">



</head>


<body data-spy="scroll" data-target=".navbar" data-offset="50">  
   
    

  

    
{% if perms.auth.can_view_user %}
    
    <!--MENU ADMIN-->
   
        <nav class="navbar navbar-expand-md navbar-light navbar-center navbar-custom ">

                    <!-- Brand -->
                    <a class="navbar-brand" href="../tienda de arte/index.html"></a>
                    <img src="{% static 'app_pizzaplanet/img/logo.png' %}" alt="Logo" style="width:70px;">

                    <!-- Toggler/collapsibe Button -->
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse justify-content-center " id="collapsibleNavbar">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'pedidosDay' %}">Pedidos de Hoy</a>
                            </li>
                            <li class="nav-item ">
                                <a class="nav-link" href="{% url 'gestionVentas' %}">Gestion de Ventas</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'gestionProductos' %}">Gestion de Productos</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'listausuarios' %}">Listado Usuarios</a>
                            </li>
                            
                            <!-- MENU OJO-->
                            <li class="navbar-text">
                                <i class='fas fa-eye' style='font-size:24px'></i>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'index' %}">Ver Como Cliente</a>
                            </li>

                            <div class="navbar-nav" style="position:fixed;right: 2%;">
                                {% if user.is_authenticated  %} <!--si el usuario esta autenticado, muesto la op salir-->
                                <li class="nav-item">
                                    <a class="nav-link text-dark" href="#">Hola {{user.username}}</a> <!--me muestra el nombre del usuario-->
                                </li>
                
                                <li class="nav-item">
                                    <a class="nav-link" href="{% url 'logout' %}">Salir</a>
                                </li>
                            
                            

                            {% endif %}
                            </div>


                        </ul>

                         <ul class="navbar-nav" style="position: fixed;right:2%">
                            
                        </ul>
                        
                    </div>

        </nav>
    
    
    {% else %}
        {% block nav %}
            <!--MENU VISTA USUARIO-->
        <nav class="navbar navbar-expand-md navbar-light navbar-center navbar-custom ">

                        

                        
                        <img src="{% static 'app_pizzaplanet/img/logo.png' %}" alt="Logo" style="width:70px;">
                      
                        

                        
                            
                        <!-- Toggler/collapsibe Button -->
                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                        

                        <div class="collapse navbar-collapse justify-content-center " id="collapsibleNavbar">
                            
                                
                            
                            
                            <ul class="navbar-nav">
                                
                                <!--icono menu-->
                                <li class="navbar-text">
                                    <i class='fas fa-utensils' style='font-size:24px'></i>
                                </li>

                                <li class="nav-item">
                                    <a class="nav-link" href="{% url 'index' %}">Menú</a>
                                </li>

                            
                                <!--iconos puntos papa-->
                                <li class="navbar-text">
                                    <i class='far fa-star' style='font-size:24px'></i>
                                </li>

                                <li class="nav-item ">
                                    <a class="nav-link" href="{% url 'puntos' %}">Planet Puntos</a>
                                </li>
                                
                                <!--icono pedidos-->
                                    <li class="navbar-text">
                                        <i class='far fa-list-alt' style='font-size:24px'></i>
                                    </li>
                                    <li class="nav-item">
                                            <a class="nav-link" href="{% url 'pedidos' %}">Mis Pedidos</a>
                                    </li>
                            

                                <!--icono locales-->
                                <li class="navbar-text">
                                    <i class='fas fa-store' style='font-size:24px'></i>
                                </li>

                                <li class="nav-item">
                                    <a class="nav-link" href="{% url 'locales' %}">Locales</a>
                                </li>
                            

                                <li><a href="{% url 'miCarrito' %}"><img
                                            src="https://cdn2.iconfinder.com/data/icons/4web-3/139/cart-48.png" /></a>
                                </li>
                            
                               
                                <div class="navbar-nav" style="position: fixed;right:2%">
                                    {% if user.is_authenticated %} <!--si el usuario esta autenticado, muesto la op salir-->
                                        <li class="nav-item">
                                            <a class="nav-link text-dark" href="#">Hola {{user.username}}</a> <!--me muestra el nombre del usuario-->
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" href="{% url 'logout' %}">Salir</a>
                                        </li>
                                    
                                    {% else %}
                                        <!--icono login-->

                                        <li class="navbar-text">
                                            <i class="fa fa-user" style="font-size:24px"></i>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link" href="{% url 'login' %}">Ingresar</a>
                                        </li>

                                    {% endif %}
                                </div>

                            </ul>

                        </div>

                    </nav>
        
        {% endblock nav %}
        
{% endif %}






         
    
    
        

        
        
       

    
    

   
    
   
    

    
    
    
    
    {% block contenido %}

    {% endblock contenido %}





<!--ALERTA INGRESO ADMINISTRADOR-->
 <script>

    function alerta()

    {       Swal.fire({
                    title: 'ACCESO RESTRINGIDO',
                    text:'Solo Administrador',
                    icon: 'warning',
                    confirmButtonText: 'Acceder',
                    confirmButtonColor: 'Red',
                    showCancelButton: true,
                    cancelButtonText: 'Descartar'

                    }).then(function(result){

                        if(result.isConfirmed)

                        {

                            window.location.href="/menuAdmin/";

                        }

                    });

    



    }

</script>




    <!--footer-->
    <footer class=" foot p-4 mt-5">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-3 mt-2">
                    <div class="container-fluid  pad-r">
                        <img src="{% static 'app_pizzaplanet/img/logo.png' %}" alt="logo" width="180">
                    </div>
                </div>
                <div class="col-md-3 mt-2">
                    <h6>Comunicado COVID 19</h6>
                    <h6>Acerca de nosotros</h6>
                    <h6>Trabaja con nosotros</h6>
                    <h6>Ingredientes</h6>
                </div>
                <div class="col-md-3 mt-2">
                    <h6>Preguntas frecuentes</h6>
                    <h6>Contacto</h6>
                    <h6>Legal</h6>
                    <a onclick="alerta()" class="texto-fo">
                        <h6>Acceso Administradores</h6>
                    </a>
                </div>
                <div class="col-md-3 mt-2">
                    <h6>Términos y condiciones</h6>
                    <h6>Política y privacidad</h6>
                    <br>
                    <br>
                    <a href="http://www.facebook.com"><i class='fab fa-facebook-square'
                            style='font-size:48px;color:rgb(107, 52, 16)  '></i></a>
                    <a href="http://www.instagram.com"><i class='fab fa-instagram'
                            style='font-size:48px;color:rgb(107, 52, 16)  '></i></a>
                    <a href="http://www.twitter.com"><i class='fab fa-twitter-square'
                            style='font-size:48px;color:rgb(107, 52, 16)  '></i></a>
                </div>

            </div>


        </div>
    </footer>




</body>

</html>

<!--esta pagina me servira como base para todas mis paginas-->